<script>
	import './../.env.js'
	import util from '@/utils/util.js'
	export default {
		globalData:{
			uniEnv:process.uniEnv,
			 token: '',
			 //lyf的token：RTOKENf7d46ea33a7923515abfa779e04eccba77f98604
			 //RTOKEN45f41a3053238cb72b3b72fe14df8d7040c9f502
			 // 授权用户信息
			authUserInfo: '',
		},
		onLaunch: function() {
			// 应用初始化（全局只触发一次）
			let that = this
			that.globalData.token = util.getToken()
		},
		onShow: function() {
			// 应用启动，或从后台进入前台显示
			if (!this.globalData.token) {
				this.autoLogin()
			}
		},
		onHide: function() {
			// 应用从前台进入后台
		},
		methods: {
			async getBaseInfo(vm, callBack) {
				uni.showLoading({
					title: '加载中……'
				})
				const res = await vm.$u.api.getSettleBaseInfo()
				console.log(res,'res')
				if(res.code !==200){
					uni.showToast({
						title: res && res.message || '获取基本信息错误',
						icon: 'none'
					});
					return false;
				}

				this.globalData.settledInfo = res.data
				if (!res.data) {
					return
				}
				callBack(vm, res.data)
				uni.hideLoading()
				return res.data
			
			},
			
			/**
			 * 用户自动登录
			 */
			autoLogin() {
				let that = this
				uni.login({
					async success(res) {
						if (res.code) {
							let params = {
								code: res.code,
								wxAppNo: 1, // 自营平台小程序
							}
							let result = await that.$u.api.loginWechatAuth(params)
							if (result) {
								if (result.code == 200 && result.data) {
									that.setUserData(result.data)
								}
							} else {
								uni.showModal({
									title: '请求失败',
									content: result.message,
									showCancel: false
								});
							}
							uni.hideLoading()
						} else {
							uni.showModal({
								title: '登录失败',
								content: '未获取到code',
							});
						}
					},
					fail() {
			
					}
				});
			},
			setUserData(userInfo) {
				if (userInfo && userInfo.token) {
					// 如果已经登录则直接获取相关信息
					util.setOpenid(userInfo.wxopenid)
					util.setToken(userInfo.token)
					uni.setStorageSync('user-info', userInfo);
				} else {
					util.setToken('')
				}
			},
		}
	}
</script>

<style>
	/*每个页面公共css */
</style>
<style lang="scss">
	/* 注意要写在第一行，同时给style标签加入lang="scss"属性 */
	@import "uview-ui/index.scss";
</style>